summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author pyllyukko2019-08-17 15:39:21 +0200
committer Willy Sudiarto Raharjo2019-08-17 15:39:21 +0200
commitfca8bbfd9fc80822a3325f654a95c66f9e112cf0 (patch)
tree6a43eebadb28f2fb33c2a78c2d75e544098dc666
parente6c0a7fa3fa108fc6c857c99dbd48b6182d08501 (diff)
downloadslackbuilds-fca8bbfd9fc80822a3325f654a95c66f9e112cf0.tar.gz
libraries/libbtbb: Added (Bluetooth baseband decoding library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--libraries/libbtbb/README3
-rw-r--r--libraries/libbtbb/libbtbb.SlackBuild98
-rw-r--r--libraries/libbtbb/libbtbb.info10
-rw-r--r--libraries/libbtbb/slack-desc19
4 files changed, 130 insertions, 0 deletions
diff --git a/libraries/libbtbb/README b/libraries/libbtbb/README
new file mode 100644
index 0000000000..b65b68dc12
--- /dev/null
+++ b/libraries/libbtbb/README
@@ -0,0 +1,3 @@
+This is the Bluetooth baseband decoding library, forked from the GR-Bluetooth
+project. It can be used to extract Bluetooth packet and piconet information
+from Ubertooth devices as well as GR-Bluetooth/USRP.
diff --git a/libraries/libbtbb/libbtbb.SlackBuild b/libraries/libbtbb/libbtbb.SlackBuild
new file mode 100644
index 0000000000..4107250286
--- /dev/null
+++ b/libraries/libbtbb/libbtbb.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for libbtbb
+
+# Copyright 2019 pyllyukko
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libbtbb
+VERSION=${VERSION:-2018_12_R1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-${VERSION//_/-}
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSE README.cmake README.md changelog \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libbtbb/libbtbb.info b/libraries/libbtbb/libbtbb.info
new file mode 100644
index 0000000000..7cde2947ef
--- /dev/null
+++ b/libraries/libbtbb/libbtbb.info
@@ -0,0 +1,10 @@
+PRGNAM="libbtbb"
+VERSION="2018_12_R1"
+HOMEPAGE="https://github.com/greatscottgadgets/libbtbb"
+DOWNLOAD="https://github.com/greatscottgadgets/libbtbb/archive/2018-12-R1/libbtbb-2018_12_R1.tar.gz"
+MD5SUM="cfb0dd9d0af7e19d4526758d3bb203e2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="pyllyukko"
+EMAIL="pyllyukko@maimed.org"
diff --git a/libraries/libbtbb/slack-desc b/libraries/libbtbb/slack-desc
new file mode 100644
index 0000000000..bf00c26117
--- /dev/null
+++ b/libraries/libbtbb/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libbtbb: libbtbb (Bluetooth baseband decoding library)
+libbtbb:
+libbtbb: This is the Bluetooth baseband decoding library,
+libbtbb: forked from the GR-Bluetooth project.
+libbtbb: It can be used to extract Bluetooth packet and piconet information
+libbtbb: from Ubertooth devices as well as GR-Bluetooth/USRP.
+libbtbb:
+libbtbb:
+libbtbb:
+libbtbb: Homepage: https://github.com/greatscottgadgets/libbtbb
+libbtbb: